6.0.0-git
2019-03-19

[#10568] vacation : maildrop Return-Path
Summary vacation : maildrop Return-Path
Queue Ingo
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2011-09-28 (2729 days ago)
Due
Updated 2012-08-29 (2393 days ago)
Assigned 2011-10-03 (2724 days ago)
Resolved 2011-11-13 (2683 days ago)
Milestone 2.0.7
Patch No

History
2012-08-29 12:24:55 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit fb3da2a34b23e7d025b320641dbc85348a955cd3
Author: Jan Schneider <jan@horde.org>
Date:   Sun Nov 13 22:00:11 2011 +0100

     [jan] Set Return-Path: in Maildrop vacation driver 
(rsalmon@mbpgroup.com, Bug #10568).

  ingo/docs/CHANGES                   |    2 ++
  ingo/lib/Script/Maildrop/Recipe.php |    5 +++--
  ingo/package.xml                    |    2 +-
  3 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/fb3da2a34b23e7d025b320641dbc85348a955cd3
2011-11-13 21:03:49 Git Commit Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Set Return-Path: in Maildrop vacation driver 
(rsalmon@mbpgroup.com, Bug #10568).

  3 files changed, 11 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/d262ca8d14e47986a75e46159704681185414307
2011-11-13 21:01:52 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 2.0.7
 
2011-10-04 09:01:45 rsalmon (at) mbpgroup (dot) com Comment #5 Reply to this comment
What does sendmail have to do with this? You are patching the 
*mailbot* command invocation.
Ah, I see what you meant now in your last comment.

with the following code, "-f" is an argument for sendmail, not mailbot :

'| mailbot %s -D %d -c \'UTF-8\' -t $HOME/vacation.msg -d 
$HOME/vacation -A %s -s %s /usr/sbin/sendmail -t -f %s'



2011-10-04 08:43:52 Jan Schneider Comment #4 Reply to this comment
What does sendmail have to do with this? You are patching the 
*mailbot* command invocation.
2011-10-04 07:49:27 rsalmon (at) mbpgroup (dot) com Comment #3 Reply to this comment

[Show Quoted Text - 15 lines]
mailbot set 'From: ' and 'To: ' header properly, but not 'Return-Path: '

Assuming that files are owned by unix user 'vmail'
- with "/usr/sbin/sendmail -t" -> "Return-Path: <vmail@mbpgroup.com>"
- with "/usr/sbin/sendmail -t -f ''" -> "Return-Path: 
<MAILER-DAEMON@mbpgroup.com>"
- with "/usr/sbin/sendmail -t -f 'ronan@mbpgroup.com'" -> 
"Return-Path: <ronan@mbpgroup.com>"


I'm just after realising that we use virtual mail accounts which is 
probably why we are having this issue. Without the patch, sendmail 
sets Return-Path to the unix owner of the virtual mail accounts.


2011-10-03 17:23:14 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
That doesn't look right. This is what mailbot's man page says:

        -faddress
            Address the autoresponse to address, which must be an RFC 2822[1]
            address. By default mailbot takes the autoresponse address from the
            From: (or the Reply-To:) header in the original message.  -f, if
            present, overrides and explicitly sets the autoresponse address.
            "address" must immediately follow the -f option without an
            intervening space (it´s a single command line argument). An -f
            option without an address takes the address from the SENDER
            environment variable.

So this is setting the vacation message's *recipient* but you set it 
to the user's From address.
2011-09-28 15:37:12 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ vacation : maildrop Return-Path
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
New Attachment: recipe.patch Download
Reply to this comment
return-path is not set to the right user


the attached patch properly set the 'Return-Path' variable in the 
message header.



Saved Queries